#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hackage-security
version: 0.5.3.0
id: hackage-security-0.5.3.0-BYz4TOcyJl88TAe8xdr1QP
key: hackage-security-0.5.3.0-BYz4TOcyJl88TAe8xdr1QP
license: BSD-3-Clause
copyright: Copyright 2015-2016 Well-Typed LLP
maintainer: cabal-devel@haskell.org
author: Edsko de Vries
homepage: https://github.com/haskell/hackage-security
synopsis: Hackage security library
description:
    The hackage security library provides both server and
    client utilities for securing the Hackage package server
    (<http://hackage.haskell.org/>).  It is based on The Update
    Framework (<http://theupdateframework.com/>), a set of
    recommendations developed by security researchers at
    various universities in the US as well as developers on the
    Tor project (<https://www.torproject.org/>).
    .
    The current implementation supports only index signing,
    thereby enabling untrusted mirrors. It does not yet provide
    facilities for author package signing.
    .
    The library has two main entry points:
    "Hackage.Security.Client" is the main entry point for
    clients (the typical example being @cabal@), and
    "Hackage.Security.Server" is the main entry point for
    servers (the typical example being @hackage-server@).
category: Distribution
abi: 4bbe4b2b71264f22a9fc480405e75034
exposed: True
exposed-modules:
    Hackage.Security.Client Hackage.Security.Client.Formats
    Hackage.Security.Client.Repository
    Hackage.Security.Client.Repository.Cache
    Hackage.Security.Client.Repository.HttpLib
    Hackage.Security.Client.Repository.Local
    Hackage.Security.Client.Repository.Remote
    Hackage.Security.Client.Verify Hackage.Security.JSON
    Hackage.Security.Key.Env Hackage.Security.Server
    Hackage.Security.TUF.FileMap Hackage.Security.Trusted
    Hackage.Security.Util.Checked Hackage.Security.Util.IO
    Hackage.Security.Util.Lens Hackage.Security.Util.Path
    Hackage.Security.Util.Pretty Hackage.Security.Util.Some
    Text.JSON.Canonical
hidden-modules: Hackage.Security.Key Hackage.Security.Trusted.TCB
                Hackage.Security.TUF Hackage.Security.TUF.Common
                Hackage.Security.TUF.FileInfo Hackage.Security.TUF.Header
                Hackage.Security.TUF.Layout.Cache Hackage.Security.TUF.Layout.Index
                Hackage.Security.TUF.Layout.Repo Hackage.Security.TUF.Mirrors
                Hackage.Security.TUF.Paths Hackage.Security.TUF.Patterns
                Hackage.Security.TUF.Root Hackage.Security.TUF.Signed
                Hackage.Security.TUF.Snapshot Hackage.Security.TUF.Targets
                Hackage.Security.TUF.Timestamp Hackage.Security.Util.Base64
                Hackage.Security.Util.Exit Hackage.Security.Util.FileLock
                Hackage.Security.Util.JSON Hackage.Security.Util.Stack
                Hackage.Security.Util.TypedEmbedded Prelude
import-dirs: /usr/lib/ghc-8.4.2/site-local/hackage-security-0.5.3.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/hackage-security-0.5.3.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/hackage-security-0.5.3.0
hs-libraries: HShackage-security-0.5.3.0-BYz4TOcyJl88TAe8xdr1QP
depends:
    base-4.11.1.0 base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bytestring-0.10.8.2 Cabal-2.2.0.1 containers-0.5.11.0
    ed25519-0.0.5.0-J1zl42RyRuN3VNmQie6YiT filepath-1.4.2 mtl-2.2.2
    parsec-3.1.13.0 pretty-1.1.3.6
    cryptohash-sha256-0.11.101.0-CJeFvVNcGiT5bH5InaPROn
    tar-0.5.1.0-2NE6oowiyVxJcDjgLMgVCm time-1.8.0.2
    transformers-0.5.5.0 zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    template-haskell-2.13.0.0 ghc-prim-0.5.2.0 directory-1.3.1.5
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    network-2.6.3.5-Ey5nELlCFMCCJfToLl8AVa
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=39dfe9068523cd9f792b1a7393cda8b3
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=7722d2d1f9adcb92b317b3a43d084a70
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             Cabal-2.2.0.1=00dccbba264df0e70719798e8bc74c63
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             ed25519-0.0.5.0-J1zl42RyRuN3VNmQie6YiT=a077bfe7d68eff27e75f583cb8e9f91e
             filepath-1.4.2=a70b79acbde9ca897bdc5eadf9254ba7
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             parsec-3.1.13.0=b976f306e11b572c7d5898bcff511199
             pretty-1.1.3.6=003e48b94caa84f26c31da01b81a0320
             cryptohash-sha256-0.11.101.0-CJeFvVNcGiT5bH5InaPROn=629d00e0e303783e53d17107934382a6
             tar-0.5.1.0-2NE6oowiyVxJcDjgLMgVCm=4df70db4b35f5b666124ec5d0945503d
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=de1ac2074f90e9397bcb253d3ffe265d
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
             ghc-prim-0.5.2.0=a22477c99003a90dd639dbfd07997615
             directory-1.3.1.5=c4ddb2059d4b7fed7d39b1d1bb3bf41d
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=d49fd54c7cc8ca7cdc7f65925221d670
             network-2.6.3.5-Ey5nELlCFMCCJfToLl8AVa=2ccacb7c7507f165c3f664c3e6d39bf6
haddock-interfaces: /usr/share/doc/haskell-hackage-security/html/hackage-security.haddock
haddock-html: /usr/share/doc/haskell-hackage-security/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

